Summary:	Interact with the EFI Boot Manager
Name:		efibootmgr
Version:	0.12
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Boot and Init
URL:		https://github.com/vathpela/efibootmgr
Source0:	https://github.com/rhinstaller/%{name}/releases/download/%{name}-%{version}/%{name}-%{version}.tar.xz
BuildRequires:	%{_lib}efivar-devel >= 0.21
BuildRequires:	pciutils-devel
BuildRequires:	zlib-devel
Requires:	%{_lib}efivar0 >= 0.21


%description
This is efibootmgr, a Linux user-space application to modify the Intel
Extensible Firmware Interface (EFI) Boot Manager.  This application
can create and destroy boot entries, change the boot order, change
the next running boot option, and more.

Details on the EFI Boot Manager are available from the EFI
Specification, v1.02 or above, available from http://developer.intel.com.

Note: efibootmgr requires that the kernel module efivars be loaded
prior to use.  'modprobe efivars' should do the trick.

%prep
%setup -q
%apply_patches

%build
%make

%install
mkdir -p %{buildroot}%{_sbindir} %{buildroot}%{_mandir}/man8
install -p --mode 755 src/%{name}/%{name} %{buildroot}%{_sbindir}
install -p --mode 644 src/man/man8/%{name}.8 %{buildroot}%{_mandir}/man8

%files
%doc AUTHORS COPYING README
%doc doc/ChangeLog doc/TODO
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8.*


%changelog
* Fri Sep 04 2015 bb <bb> 0.12-1pclos2015
- update
